package cn.com.ctop.kuaishou.modules.report.mapper;

import cn.com.ctop.kuaishou.modules.report.entity.KuaishouCostGroup;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 快手组级时报统计
 *
 * @author: jeecg-boot
 * @date: 2020-10-30
 * @cersion: V1.0
 */
public interface KuaishouCostGroupMapper extends BaseMapper<KuaishouCostGroup> {

    List<JSONObject> queryAccountCostInfo(String nowDate);

    List<JSONObject> queryCampaignCostInfo(String date);

    List<JSONObject> queryGroupCostInfo(String date);

    int bulkInsert(List<JSONObject> list);
}
